/*
 * 文 件 名:  BusinessError
 * 版    权:  浩鲸云科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lv.wenbin@iwhalecloud.com
 * 修改时间:  2018/12/10
 */
package com.ruoyi.ems.util.exception;

/**
 * 异常枚举 <功能详细描述>
 *
 * @author lv.wenbin@iwhalecloud.com
 * @version [版本号, 2018/12/10]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public enum ErrorCode {
    /**
     * 成功
     */
    SUCCESS(0, "成功."),

    /**
     * 未知错误
     */
    UNKNOWN_ERROR(-1, "未知错误."),

    /**
     * 参数错误
     */
    PARAM_ERROR(1001, "参数错误."),

    /**
     * 参数错误
     */
    DB_ERROR(3001, "数据库异常."),

    /**
     * 服务不可用
     */
    SERVICE_UNAVAILABLE(9001, "服务不可用.");

    /**
     * 错误码分段： <br/>
     * 0000 ：业务正常 <br/>
     * -001 ：未知异常 <br/>
     * 1xxx : 参数异常 <br/>
     * 2xxx : 框架异常 <br/>
     * 3xxx : DB异常 <br/>
     * 4xxx : MQ异常 <br/>
     * 5xxx : xx <br/>
     * 6xxx : xx <br/>
     * 7xxx : xx <br/>
     * 8xxx : xx <br/>
     * 9xxxxx : 业务异常
     */
    private int code;

    private String message;

    private ErrorCode(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
